## Retrieve Commitment

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/commitments/{id} \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/commitments/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/commitments/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Responses

- **200**
- **4XX**
- **5XX**

### JSON Response Example

```json
{
  "id": "<string>",
  "version": 123,
  "accountId": "<string>",
  "billingPlanId": "<string>",
  "productIds": [
    "<string>"
  ],
  "startDate": "2023-12-25",
  "endDate": "2023-12-25",
  "currency": "<string>",
  "amount": 123,
  "amountPrePaid": 123,
  "amountFirstBill": 123,
  "amountSpent": 123,
  "overageSurchargePercent": 123,
  "separateOverageUsage": true,
  "billingInterval": 123,
  "billingOffset": 123,
  "commitmentFeeDescription": "<string>",
  "commitmentUsageDescription": "<string>",
  "overageDescription": "<string>",
  "commitmentFeeBillInAdvance": true,
  "billEpoch": "2023-12-25",
  "contractId": "<string>",
  "accountingProductId": "<string>",
  "feesAccountingProductId": "<string>",
  "drawdownsAccountingProductId": "<string>",
  "feeDates": [
    {
      "date": "2023-12-25",
      "amount": 1,
      "servicePeriodStartDate": "2023-11-07T05:31:56Z",
      "servicePeriodEndDate": "2023-11-07T05:31:56Z"
    }
  ],
  "lineItemTypes": [],
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

### Additional Information
#### Authorizations

- **Authorization**: string, header, required

#### Path Parameters
- **orgId**: string, required
- **id**: string, required

#### Response Information
- **200**: application/json  - Returns the Commitment details.
